/*
This file is part of ArciveList.

# SPDX-FileCopyrightText: 2021 Hangar.org
# SPDX-License-Identifier: AGPL-3.0-or-later
*/

import Vue from 'vue'
import Vuex from 'vuex'


Vue.use(Vuex)

const store = new Vuex.Store({
  state: {
    sites: [],
  },
  mutations: {
    setSites(state, sites) {
      state.sites = sites
    },
  },
  getters: {
    getSites: state => {
      return state.sites
    },
    getDisplayedSites: state => {
      return state.sites
    },
  }
})

export default store
